package kr.co.vividnext.sodalive.audition

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse

class AuditionRepository(
    private val api: AuditionApi
) {
    fun getAuditionList(
        page: Int,
        size: Int,
        token: String
    ): Single<ApiResponse<GetAuditionListResponse>> {
        return api.getAuditionList(
            page = page - 1,
            size = size,
            authHeader = token
        )
    }
}
